Package org.apache.synapse.transport.http.conn

# Class LoggingUtils

java.lang.Object
org.apache.synapse.transport.http.conn.LoggingUtils

public class LoggingUtils extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ACCESS_LOG_ID`
  `static final String`
  `HEADER_LOG_ID`
  `static final String`
  `WIRE_LOG_ID`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LoggingUtils()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static org.apache.http.impl.nio.DefaultNHttpClientConnection`
  `createClientConnection(org.apache.http.nio.reactor.IOSession iosession, org.apache.http.HttpResponseFactory responseFactory, org.apache.http.nio.util.ByteBufferAllocator allocator, org.apache.http.params.HttpParams params)`
  `static org.apache.http.impl.nio.DefaultNHttpServerConnection`
  `createServerConnection(org.apache.http.nio.reactor.IOSession iosession, org.apache.http.HttpRequestFactory requestFactory, org.apache.http.nio.util.ByteBufferAllocator allocator, org.apache.http.params.HttpParams params)`
  `static org.apache.http.nio.NHttpClientEventHandler`
  `decorate(org.apache.http.nio.NHttpClientEventHandler handler)`
  `static org.apache.http.nio.NHttpServerEventHandler`
  `decorate(org.apache.http.nio.NHttpServerEventHandler handler)`
  `static Pattern`
  `getSkipLoggingMatcher()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### HEADER_LOG_ID

    public static final String HEADER_LOG_ID
    See Also:
      - Constant Field Values

  - ### WIRE_LOG_ID

    public static final String WIRE_LOG_ID
    See Also:
      - Constant Field Values

  - ### ACCESS_LOG_ID

    public static final String ACCESS_LOG_ID
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### LoggingUtils

    public LoggingUtils()

- ## Method Details

  - ### decorate

    public static org.apache.http.nio.NHttpClientEventHandler decorate(org.apache.http.nio.NHttpClientEventHandler handler)

  - ### decorate

    public static org.apache.http.nio.NHttpServerEventHandler decorate(org.apache.http.nio.NHttpServerEventHandler handler)

  - ### createClientConnection

    public static org.apache.http.impl.nio.DefaultNHttpClientConnection createClientConnection(org.apache.http.nio.reactor.IOSession iosession, org.apache.http.HttpResponseFactory responseFactory, org.apache.http.nio.util.ByteBufferAllocator allocator, org.apache.http.params.HttpParams params)

  - ### getSkipLoggingMatcher

    public static Pattern getSkipLoggingMatcher()

  - ### createServerConnection

    public static org.apache.http.impl.nio.DefaultNHttpServerConnection createServerConnection(org.apache.http.nio.reactor.IOSession iosession, org.apache.http.HttpRequestFactory requestFactory, org.apache.http.nio.util.ByteBufferAllocator allocator, org.apache.http.params.HttpParams params)